API Reference
Log In
API Reference

Create Card Attributes

Allows additional information (attributes) to be added to a card, such as the cardholder or beneficiary.

Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

💳 Card attributes


📢 Considerations

To fill in the information of the JSON object to be sent, the type of person (according to the catalog) to be added as additional information to the card must be taken into account:

  • If the type of person is Beneficiary (1), the following fields are optional: email and telephone.
  • If the type of person is Tutor (2), the optional fields are: address.

📖 Example Requests

Below you will find the body of two sample JSON requests:

  • Example 1: Create card attribute in Panamá Core.
  • Example 2: Create card attribute in Costa Rica Core.
{
    "relationship": "1",
    "address": "Address PA",
    "first_name": "Raul",
    "second_name": "Alfonso",
    "surname": "Trinidad",
    "second_surname": "Montenegro",
    "type_id": "0001",
    "number_id": "8-9999-99999",
    "gender": "M",
    "person_type": 1,
    "email": "[email protected]",
    "telephone": "88888888"
}
{
    "relationship": "1",
    "address": "Address CR",
    "first_name": "Walter",
    "second_name": "Alfonso",
    "surname": "White",
    "second_surname": "Gutierrez",
    "type_id": "2",
    "number_id": "000000000000X",
    "gender": "M",
    "person_type": 1,
    "email": "[email protected]",
    "telephone": "88888888"
}

JSON response body fields:

NameDescriptionType
addressThe user's address.string
relationshipDefines the level of relationship that the user of the additional information has with the owner of the card.string
first_nameThe user's first name.string
second_nameThe user's second name.string
surnameThe user's surname.string
second_surnameThe user's second surname.string
type_idUser's document type code.string
number_idDocument number that identifies the user.string
genderUser's gender.string
telephoneThe user's telephone number.number
emailUser mail.string

Cards catalogs

📘 Person type

CodeDescription
1Beneficiary.
2Tutor.

Path Params
string
enum
required
Defaults to BLPA

Description: Bank Id of the source transaction.

Allowed:
string
required
Defaults to 4523500000016054

Description: Customer's card ID.

Body Params
string
required
Defaults to 1

Description: Defines the level of relationship that the user of the additional information has with the owner of the card.
Size: 2.
Catalog: Relationship beneficiary.

string
Defaults to Address PA

Description: The user's address.
Size: 120.
Required to: Person Type (1) Beneficiary.

string
required
Defaults to Raul

Description: The user's first name.
Size: 50.

string
Defaults to Alfonso

Description: The user's second name.
Size: 50.

string
required
Defaults to Trinidad

Description: The user's surname.
Size: 50.

string
Defaults to Montenegro

Description: The user's second surname.
Size: 50.

string
required
Defaults to 0001

Description: User's document type code.
Size: 3.
Catalog: Document types.

string
required
Defaults to 8-9999-99999

Description: Document number that identifies the user.
Size: 15.

string
enum
required
Defaults to M

Description: User's gender.
Size: 1.

Allowed:
int32
required
Defaults to 1

Description: Type of person for whom additional information is to be added (1 Beneficiary, 2 Tutor).
Size: 1.

string
Defaults to [email protected]

Description: User mail.
Size: 30.
Required to: Person Type (2) Tutor.

string
Defaults to 88888888

Description: The user's telephone number.
Size: 30.
Required to: Person Type (2) Tutor.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json